#ifndef SENDQ_H
#define SENDQ_H

#include <qwidget.h>

class QComboBox;
class QLabel;
class QGridLayout;
class QLineEdit;
class QPushButton;


class SendQ : public QWidget
{
	Q_OBJECT

public:
	SendQ(QWidget * parent=0, const char * name=0 , WFlags f=0 );
	~SendQ();

private slots:
	void pushSendButton();

private:
	void addItem(QComboBox* b,const QString& s);
	QGridLayout* layout;
	QLabel* chNameLabel;
	QLabel* chPreLabel;
	QComboBox* chNameBox;
	QLabel* comNameLabel;
	QComboBox* comNameBox;
	static const int ArgNum = 4;
	QLabel* argLabel[ArgNum];
	QComboBox* argBox[ArgNum];
	QPushButton* sendButton;
	enum {
		Top,
		Mid,
		Tail
	};
	enum {
		Channel,
		Command,
		Arg1,
		Arg2,
		Arg3,
		Arg4,
		Button
	};

};
#endif
