#include "View.h"

View::View(QWidget * parent, const char * name ) : QMultiLineEdit(parent,name)
{
	setFocusPolicy(QWidget::WheelFocus);
	setReadOnly(true);
	setWordWrap(QMultiLineEdit::WidgetWidth);
	setWrapPolicy(QMultiLineEdit::Anywhere);
}

View::~View()
{
}

void View::keyPressEvent ( QKeyEvent * e )
{
	if (e->key() == Key_Tab) {
		clearFocus();
	} else {
		QMultiLineEdit::keyPressEvent(e);
	}
}

